> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yelinai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Quick Start (Custom API - Deprecated)

> Quickly get started with VEO video generation API - Legacy documentation

**⚠️ This documentation is for legacy custom API, not recommended**Please see new documentation: [Veo-3.1 Quick Start](/en/api-capabilities/veo/veo-31-quick-start)New API uses OpenAI-compatible format with lower prices and more features.

## Three Steps to Generate Video

1

Submit video generation task

Call the submit interface using your API key

```
curl -X POST "https://api.yelinai.com/veo/v1/api/video/submit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer your-api-key" \
  -d '{
    "prompt": "An orange kitten walking slowly in a sunny garden",
    "model": "veo3"
  }'
```

2

Record the returned task ID

System will return task information

```
{
  "success": true,
  "data": {
    "taskId": "veo3:b873872e-7358-4c2f-8d55-bd23f000e14e",
    "pollingUrl": "https://asyncdata.net/source/veo3:b873872e-7358-4c2f-8d55-bd23f000e14e",
    "status": "processing",
    "message": "Task submitted successfully"
  }
}
```

3

Query generation result

Query status using task ID

```
curl -X GET "https://api.yelinai.com/veo/v1/api/video/status/veo3:b873872e-7358-4c2f-8d55-bd23f000e14e" \
  -H "Authorization: Bearer your-api-key"
```

## Authentication Method

All API requests need to include a valid Bearer Token in the request header:

```
Authorization: Bearer your-api-key
```

**Security Reminder:** Do not expose API keys in client-side code. It’s recommended to store them in server-side environment variables.

## Basic Request Examples

### Simple Text Generation

```
curl -X POST "https://api.yelinai.com/veo/v1/api/video/submit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer your-api-key" \
  -d '{
    "prompt": "A cat walking in the rainy night"
  }'
```

### Generation with Reference Image

```
curl -X POST "https://api.yelinai.com/veo/v1/api/video/submit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer your-api-key" \
  -d '{
    "prompt": "A cat walking in the rainy night, about to catch a mouse",
    "model": "veo3",
    "images": ["https://example.com/cat.png"],
    "enhance_prompt": true
  }'
```

## Handling Responses

### Task Submitted Successfully

```
{
  "success": true,
  "data": {
    "taskId": "veo3:b873872e-7358-4c2f-8d55-bd23f000e14e",
    "pollingUrl": "https://asyncdata.net/source/veo3:b873872e-7358-4c2f-8d55-bd23f000e14e",
    "status": "processing",
    "message": "Task submitted successfully"
  }
}
```

### Video Generation Completed

```
{
  "success": true,
  "data": {
    "taskId": "veo3:b873872e-7358-4c2f-8d55-bd23f000e14e",
    "status": "completed",
    "result": {
      "video_url": "https://filesystem.site/cdn/20250705/BFvep0SngrqIrN3yDSFChIXAz2mU0M.mp4",
      "video_media_id": "CAUSJGRlNzE5MzRhLTljMDgtNDE1Mi05NWVlLThjOTlhMTZlODUyYxokY2U4ZjNiYmUtNGFmZS00NTExLWI4ZDEtMGM1MTFkM2ZlNGIxIgNDQUUqJDJlNTY3OWUyLWQ2YmQtNGVlZS05ZTUwLWMyMWE0MWU3ZDYzNw"
    }
  }
}
```

## Polling Recommendations

**Recommended polling strategy:**

* Polling interval: 10-15 seconds
* Maximum wait time: 30 minutes
* Recommended to implement exponential backoff strategy

## Next Steps

## API Reference

View complete API documentation

## Code Examples

View examples in more programming languages
